com.beaglebuddy.id3.enums.v24

## Enum ImageSizeRestriction

- java.lang.Object
- - java.lang.Enum<ImageSizeRestriction>
  - - com.beaglebuddy.id3.enums.v24.ImageSizeRestriction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ImageSizeRestriction>

      public enum ImageSizeRestriction
      extends java.lang.Enum<ImageSizeRestriction>

  valid ID3v2.4 image size restrictions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIMENSIONS_256_X_256_OR_SMALLER` All images are 256x256 pixels or smaller.
    `DIMENSIONS_64_X_64` All images are exactly 64x64 pixels, unless required otherwise.
    `DIMENSIONS_64_x_64_OR_SMALLER` All images are 64x64 pixels or smaller.
    `NO_RESTRICTIONS` No restrictions on image size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` get a description of the image size restriction.
    `byte` | `getMask()` get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
    `java.lang.String` | `toString()` get a string representation of the image size restriction.
    `static ImageSizeRestriction` | `valueOf(int imageSizeRestriction)` converts an integral value to its corresponding image size restriction enum.
    `static ImageSizeRestriction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImageSizeRestriction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_RESTRICTIONS

          public static final ImageSizeRestriction NO_RESTRICTIONS

      No restrictions on image size.

    - #### DIMENSIONS_256_X_256_OR_SMALLER

          public static final ImageSizeRestriction DIMENSIONS_256_X_256_OR_SMALLER

      All images are 256x256 pixels or smaller.

    - #### DIMENSIONS_64_x_64_OR_SMALLER

          public static final ImageSizeRestriction DIMENSIONS_64_x_64_OR_SMALLER

      All images are 64x64 pixels or smaller.

    - #### DIMENSIONS_64_X_64

          public static final ImageSizeRestriction DIMENSIONS_64_X_64

      All images are exactly 64x64 pixels, unless required otherwise.

  - ### Method Detail

    - #### values

          public static ImageSizeRestriction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageSizeRestriction c : ImageSizeRestriction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageSizeRestriction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      get a description of the image size restriction.
      Returns:
        a description of the image size restriction.

    - #### getMask

          public byte getMask()

      get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
      Returns:
        the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.

    - #### valueOf

          public static ImageSizeRestriction valueOf(int imageSizeRestriction)
                                              throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding image size restriction enum.
      Parameters:
        `imageSizeRestriction` - integral value to be converted to a image size restriction enum.
      Returns:
        a image size restriction enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the integral value is not a valid image size restriction.

    - #### toString

          public java.lang.String toString()

      get a string representation of the image size restriction.
      Overrides:
        `toString` in class `java.lang.Enum<ImageSizeRestriction>`
      Returns:
        a string representation of the image size restriction.